# Note that this is NOT a relocatable package
# defaults for redhat
%define prefix		/usr
%define sysconfdir	/etc
%define  RELEASE 0
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary: Gnapster is a simple gnome client that implement the napster protocol.
Name: gnapster
Version: 1.3.11
Release: %rel
Copyright: GPL
Group: Applications/Communications
URL: http://www.gotlinux.org/~jasta/gnapster.html
Source: http://www.gotlinux.org/~jasta/files/%{name}-%{version}.tar.gz
Patch0: gnapster-rpm.patch
Requires: gnome-libs >= 1.0.0
Requires: ORBit >= 0.4.0
Requires: gtk+ >= 1.2.0
Vendor: Jasta <jasta@gotlinux.org>
Packager: William Stearns <wstearns@pobox.com>
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Gnapster is a small but powerfull client for the napster (mp3 comunity)
protocol, written for Gnome by Jasta. If you would like to contribute, 
please contact Jasta <jasta@gotlinux.org>.

%prep
%setup -q
%patch0 -p1

# seems as if xss support is broken on alpha :-(
%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux --without-xss"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
fi

%build

if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}  install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" != "1" ]; then		#This is an upgrade
	#There could be .gnapster/servers files under multiple home directories
	echo Please remove or rename any \~/.gnapster/servers files before running
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%attr(755,root,root)	%{prefix}/bin/gnapster
%attr(644,root,root)	%{prefix}/share/pixmaps/gnapster.png
%attr(644,root,root)	%{prefix}/share/gnome/apps/Applications/gnapster.desktop

###################################################################
%changelog
* Thu Aug 10 2000 William Stearns <wstearns@pobox.com>
- updated to 1.3.11 source
- ask user to handle renaming ~/.gnapster/servers
- minor spec changes

* Fri Jan 14 2000 Joaquim Fellmann <joaquim@hrnet.fr>
- made the gnome archive from the standalone sources
